package com.qmth.teachcloud.common.enums.userPush;

/**
 * @Description: 用户推送结果枚举
 * @Author: CaoZixuan
 * @Date: 2022-08-03
 */
public enum UserPushResultEnum {
    BIND_SUCCESS("绑定成功", true),
    BIND_FAILED("绑定失败", false),
    UNBIND_SUCCESS("解绑成功", true),
    UNBIND_FAILED("解绑失败", false),
    ;
    private final String desc;
    private final boolean success;

    UserPushResultEnum(String desc, boolean success) {
        this.desc = desc;
        this.success = success;
    }

    public String getDesc() {
        return desc;
    }

    public boolean isSuccess() {
        return success;
    }
}
